API Docs
YMS API
Location/Level 1
POST Create Location Level 1

POST Create Location/Level 1

Introduction

Creates a new physical location in the Yard Management System (YMS). Locations represent physical spaces within the yard where equipment (containers, trailers, chassis) can be positioned for various operational activities. Supports dock doors for loading/unloading, parking spots for equipment staging, and warehouse staging area links. Used during yard setup to configure operational zones with specific activities, customer assignments, and access controls.

API Request

POST /location/create

Body Request Parameters

{
  "locationName": "string",
  "locationType": "DOCK",
  "locationStatus": "AVAILABLE",
  "assignedScore": 0,
  "yardActivity": "DROP_OFF_EMPTY",
  "dockActivity": "LIVE_DELIVERY",
  "locationActivities": [
    "LIVE_DELIVERY"
  ],
  "carrierIds": [
    "string"
  ],
  "customerIds": [
    "string"
  ],
  "stagingLocationIds": [
    "string"
  ],
  "allowedTypes": [
    "TRACTOR_ONLY"
  ],
  "companyCode": "string",
  "activeTimeFrom": "string",
  "activeTimeTo": "string",
  "notes": "string",
  "groupName": "string",
  "displayName": "stri",
  "dynamicFieldValues": [
    {
      "entityId": "string",
      "entityType": "RECEIPT",
      "fieldCode": "string",
      "shortValue": "string",
      "longValue": "string",
      "value": "string"
    }
  ],
  "linkedLocations": [
    {
      "linkId": "string",
      "linkType": "DOCK"
    }
  ],
  "sequenceNo": 0,
  "windowConfigs": [
    {
      "windowId": 0,
      "locationActivity": [
        "string"
      ],
      "carrierIds": [
        "string"
      ],
      "customerIds": [
        "string"
      ]
    }
  ]
}

Request Parameters

NameLocationTypeRequiredDescription
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone
bodybodyLocationCreateCmdNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "locationId": "",
    "locationName": "",
    "locationType": "",
    "locationStatus": "",
    "assignedScore": 0,
    "enabled": false,
    "yardActivity": "",
    "dockActivity": "",
    "locationActivities": [
      ""
    ],
    "loadTaskType": "",
    "carrierIds": [
      ""
    ],
    "carrierNames": [
      ""
    ],
    "customerIds": [
      ""
    ],
    "customerNames": [
      ""
    ],
    "stagingLocationIds": [
      ""
    ],
    "stagingLocationNames": [
      ""
    ],
    "allowedTypes": [
      ""
    ],
    "companyCode": "",
    "activeTimeFrom": "",
    "activeTimeTo": "",
    "notes": "",
    "locationPhoto": "",
    "currentCarrierId": "",
    "currentTaskType": "",
    "currentDriverId": "",
    "currentEntryId": "",
    "arrivalTime": "",
    "zoneTag": "",
    "groupName": "",
    "createdTime": "",
    "updatedTime": "",
    "currentDriveName": "",
    "currentCarrierName": "",
    "dynamicFieldValues": [
      {
        "entityId": "",
        "entityType": "",
        "fieldCode": "",
        "value": "",
        "fieldName": "",
        "longValue": "",
        "shortValue": ""
      }
    ],
    "displayName": "",
    "iotResult": {
      "spo_id": "",
      "s3_image_url": "",
      "recognize_result": "",
      "recognize_item": {
        "src_x": 0,
        "src_y": 0,
        "dst_x": 0,
        "dst_y": 0,
        "class_id": 0,
        "class_name": "",
        "score": 0
      },
      "imageUrl": "",
      "area": "",
      "dockEvent": {
        "id": "",
        "name": "",
        "type": "",
        "status": "",
        "dockStatus": "",
        "spaceStatus": "",
        "entryId": "",
        "category": "",
        "equipmentNo": [
          ""
        ],
        "createdWhen": "",
        "updatedWhen": ""
      }
    },
    "linkedLocations": [
      {
        "locationId": "",
        "locationType": "",
        "linkId": "",
        "linkName": "",
        "linkType": "",
        "locationStatus": ""
      }
    ],
    "sequenceNo": 0,
    "deleted": false,
    "windowConfigs": [
      {
        "id": 0,
        "locationId": "",
        "windowId": 0,
        "windowStartTime": "",
        "windowEndTime": "",
        "locationActivity": [
          ""
        ],
        "carrierIds": [
          ""
        ],
        "customerIds": [
          ""
        ],
        "carrierNames": [
          ""
        ],
        "customerNames": [
          ""
        ]
      }
    ],
    "currentWindowLocationActivities": [
      ""
    ],
    "currentWindowCustomerIds": [
      ""
    ],
    "currentWindowCustomerNames": [
      ""
    ],
    "currentWindowCarrierIds": [
      ""
    ],
    "currentWindowCarrierNames": [
      ""
    ]
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRLocationView